Subject: Re: [Asrg] A New Plan for No Spam / DNSBLS

From: "Jon Kyme" <[email-masked]>
Date: Mon, 28 Apr 2003 18:57:46 +0100

> Jon Kyme wrote:
> 
> 
> >No. You have no "right" to expect anything not provided for in the
> contract
> >you've made (with *your* ISP) for mail service.
> >
> My ISP does not control all the other ISPs. Without multilateral 
> agreements in place, there is no contractual right that my ISP can 
> provide me that will ensure my mail will not be blocked by the 
> recipient's ISP.

Yes. That's right. Nor should there be. How can there be?

> That means that e-mail will [...] be unreliable and

Yes. As things stand. 

> unusable for any purpose other than spam, where you don't care whether 
> or not the message gets through.

Huh?

> 
> ISPs will either work out multilateral agreements like all the other 
> public service networks or they will be worked out for them and jammed 
> down their throats.

By ... ?

> 
> >"Best effort" implies no more than it says. A best effort may well fail.
> >"Best effort" is categorically not the same as "reliable".
> >And of course, "Best" will mean "the best that can be done in the
> >circumstances".
> >
> Best still means best.

It doesn't matter how many times you say it.
Best effort does not mean reliable.

> If you don't want to consent to handle e-mail traffic, then don't. If 
> you do, then handle it properly and deliver legitimate mail. "Common 
> consent" does not extend the right to say you will handle mail and then 
> to refuse. That's just fraud.
> 

There may be issues with conveying delivery status to the sender.
This is a legitimate concern. However it's not clear to me that the 
wishes of a sender should override those of other entities involved in Mail
transport.

--
_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Mon, 28 Apr 2003 11:17:37 -0700

> Alan asked "define handle it properly"; "it"=="legitimate mail".
> 
> RFC1123
> Sec. 5.3.3 (must not loose for frivolous reasons, failure 
> notification ).
> Sec. 5.2.6 and 5.2.16, (forwarding, rewriting)
> 
> He also asked for a definition of "legitimate mail". Pass.

Anything the end user wanted to receive and was authorized
to receive unless there would be a direct impact on service
to other users.

So no, an isp is not obliged to allow a DoS attack by a spam
sender. But that does not mean that they are allowed to block
incomming mail from a source just because it is on the SPEWS
list unless they have a specific permission from the user.

		Phill

---

From: "Olson, Margaret" <[email-masked]>
Date: Mon, 28 Apr 2003 22:04:07 -0400

>-----Original Message-----
>From: wayne [mailto:[email-masked]]
>These are interesting glimpses about the ESPC system.  Can you give use
>pointers to where we can find out details?  I've looked on the
>website, and I haven't found anything.

A whitepaper is in progress. The press release went out after the contents
of the whitepaper where known, but before it was written. 

Margaret.

---

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Tue, 29 Apr 2003 06:22:33 -0700

> Another exception are people admiring good job delivered by anti spam 
> filters but hit by badly configured anti spam systems 
> configured by gods 
> ready to say "we make no mistakes". Such problems are not 
> frequent but 
> they can not be ignored if we want to keep email reliability 
> standards.

One of our businesses is outsourced management of firewalls.

It is not unusual to find when we start taking over a system that a $100K
fault tolerant firewall system is actually operating in short circuit mode
with all traffic being passed in all cases. Turning the whole system into a
very expensive ethernet hub.

		Phill